Skip to main content
POST
/
api
/
eligibility
/
v1
cURL
curl --request POST \
  --url https://forecaster.cairhealth.com/api/eligibility/v1 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "patientFirstName": "John",
  "patientLastName": "Doe",
  "patientDOB": "01-01-1991",
  "patientMemberId": "U1234567",
  "dateOfCoverage": "03-24-2025",
  "payerId": "HGJLR",
  "providerId": "0195b964-5b2c-7bb3-875a-276ad770dc66"
}
'
{
  "inNetwork": {
    "individual": {
      "copay": "N/A",
      "deductible": {
        "total": "$2,000.00",
        "remaining": "$2,000.00"
      },
      "coinsurance": "N/A",
      "stopLoss": "$6,850.00"
    },
    "family": {
      "copay": "N/A",
      "deductible": {
        "total": "N/A",
        "remaining": "N/A"
      },
      "coinsurance": "N/A",
      "stopLoss": "N/A"
    }
  },
  "outNetwork": {
    "individual": {
      "copay": "N/A",
      "deductible": {
        "total": "$6,000.00",
        "remaining": "$6,000.00"
      },
      "coinsurance": "N/A",
      "stopLoss": "$14,000.00"
    },
    "family": {
      "copay": "N/A",
      "deductible": {
        "total": "N/A",
        "remaining": "N/A"
      },
      "coinsurance": "N/A",
      "stopLoss": "N/A"
    }
  },
  "message": "Eligibility check successful",
  "payerName": "AETNA INC",
  "status": "Active Coverage",
  "memberId": "1234567",
  "groupName": "N/A",
  "groupNumber": "7654321",
  "insuranceType": "PPO",
  "planName": "Open Access Plus",
  "effectiveDateRange": null,
  "eligibilityBeginDate": "2009-01-01",
  "dependents": [
    {
      "firstName": "John",
      "lastName": "Doe",
      "middleName": "M",
      "dateOfBirth": "01-01-2000",
      "relationToSubscriber": "Child",
      "address": {
        "city": "PALO ALTO",
        "state": "CA",
        "address1": "3533 LA MATA WAY",
        "postalCode": "94306"
      },
      "gender": "M",
      "insuredIndicator": "N"
    }
  ]
}
The following endpoint requires provider enrollment through our platform. Refer to the platform help guides or contact Cair Support with any questions.

Mock Requests

To send a mock request without incurring charges, set the mockRequest parameter in the body to true. There are 4 scenarios you may test with. Refer to Mock Eligibility for the scenarios.

Data Richness

The response you receive will vary by payer. We parse the EDI response to the best of our ability, and the presence of an N/A in any field does not necessarily mean that the benefit is not present in the subscriber’s insurance plan.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Patient and coverage information

patientFirstName
string
required

Patient first name

patientLastName
string
required

Patient last name

patientDOB
string
required

Patient Date of Birth, formatted as MM-DD-YYYY

patientMemberId
string
required

Member ID of patient's insurance policy

dateOfCoverage
string
required

Date to request coverage information. Formatted as MM-DD-YYYY

payerId
string
required

Payer ID. Can be found under the enrollments page in the platform, or the Fetch Enrollments API

providerId
string
required

Provider ID. Can be found by copying the enrollment ID in the enrollments page in the platform, or the Fetch Enrollments API

mockRequest
boolean

Optional flag to only return mock data

Response

Eligibility check successful

inNetwork
object

Object containing in-network benefit information

outNetwork
object

Object containing out-of-network benefit information

message
string

Message of response. Any errors will be displayed here.

payerName
string

Name of the insurance payer

status
enum<string>

Coverage status

Available options:
Active Coverage,
Inactive
memberId
string

Member ID of the subscriber

groupName
string

Group name from the plan

groupNumber
string

Group number from the plan

insuranceType
string

Type of insurance (e.g. PPO, HMO)

planName
string

Name of the plan

effectiveDateRange
object

Effective date range of the plan

eligibilityBeginDate
string

Eligibility begin date (YYYY-MM-DD)

dependents
object[]

Dependent details when the policy is mapped from a family member